# Документация проекта

## Модули

### Аутентификация и авторизация

Подробная документация: [auth.md](auth.md)

Основные возможности:
- Гибкая система аутентификации с использованием локальной БД и Redis
- Система ролей и разрешений (RBAC)
- OAuth интеграция (Google, Facebook, GitHub)
- Защита от брутфорс атак
- Управление сессиями через Redis
- Мультиязычные email уведомления
- Страница авторизации для админ-панели

Конфигурация:
```python
# settings.py
JWT_SECRET_KEY = "your-secret-key"  # секретный ключ для JWT токенов
SESSION_TOKEN_LIFE_SPAN = 60 * 60 * 24 * 30  # время жизни сессии (30 дней)
```

### Административный интерфейс

Основные возможности:
- Защищенный доступ только для авторизованных пользователей с ролью admin
- Автоматическая проверка прав пользователя
- Отдельная страница входа для неавторизованных пользователей
- Проверка доступа по email или правам в системе RBAC

Маршруты:
- `/admin` - административная панель с проверкой прав доступа 